Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3751 - rpm-2.5.5-5.2 error
Summary: rpm-2.5.5-5.2 error
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-26 20:33 UTC by aladdin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-17 19:08:14 UTC


Attachments (Terms of Use)

Description aladdin 1999-06-26 20:33:12 UTC
Hi,

when trying to upgrade some RedHat 5.2 components that I
downloaded vua ftp from updates.redhat.com (5.2 updates), I
get the following errors: only packages with major numbers
<= 3 are supported by this version of RPM
But the major numbers of the packages ARE <= 3.

[aladdin@aladdin new]$ ls
pine-4.10-1.i386.rpm
sysklogd-1.3.31-0.5.i386.rpm
wu-ftpd-2.5.0-0.5.2.i386.rpm
[aladdin@aladdin new]$ rpm -q -i -R -p
   wu-ftpd-2.5.0-0.5.2.i386.rpm
only packages with major numbers <= 3 are supported by this
version of RPM
query of wu-ftpd-2.5.0-0.5.2.i386.rpm failed
[aladdin@aladdin new]$ rpm -q -i -R -p
   sysklogd-1.3.31-0.5.i386.rpm
only packages with major numbers <= 3 are supported by this
version of RPM
query of sysklogd-1.3.31-0.5.i386.rpm failed

I'm using rpm-2.5.5-5.2:
[aladdin@aladdin new]$ rpm -q rpm
rpm-2.5.5-5.2

Upgrading to the rpm from RedHat 6.0 doesn't work (gives me
the same error message).

kind regards,

Tom Lauwers

Comment 1 Jeff Johnson 1999-07-17 19:08:59 UTC
Your packages were almost certainly damaged somehow. Convince yourself
of this by getting an "immutable" (like off a Red Hat CDROM) and
make sure that the version of rpm you are using (latest is
rpm-3.0.2-6.0) will install that rpm (you may need to add --force
if reinstalling a package).


Note You need to log in before you can comment on or make changes to this bug.